Bug 970964 - Review Request: jboss-annotations-1.2-api - Common Annotations 1.2 API
Review Request: jboss-annotations-1.2-api - Common Annotations 1.2 API
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 06:35 EDT by Marek Goldmann
Modified: 2013-06-14 02:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-14 02:52:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msrb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Michal Srb 2013-06-12 10:33:32 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jboss-annotations-1.2-api-1.0.0-0.1.Alpha1.fc20.noarch.rpm
          jboss-annotations-1.2-api-javadoc-1.0.0-0.1.Alpha1.fc20.noarch.rpm
jboss-annotations-1.2-api.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-annotations-1.2-api.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-annotations-1.2-api-1.0.0/LICENSE
jboss-annotations-1.2-api-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jboss-annotations-1.2-api-javadoc.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-annotations-1.2-api-javadoc.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-annotations-1.2-api-javadoc-1.0.0/LICENSE
2 packages and 0 specfiles checked; 2 errors, 3 warnings.

URL is working



Rpmlint (installed packages)
----------------------------
# rpmlint jboss-annotations-1.2-api jboss-annotations-1.2-api-javadoc
jboss-annotations-1.2-api.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-annotations-1.2-api.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-annotations-1.2-api-1.0.0/LICENSE
jboss-annotations-1.2-api-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jboss-annotations-1.2-api-javadoc.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-annotations-1.2-api-javadoc.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-annotations-1.2-api-javadoc-1.0.0/LICENSE
2 packages and 0 specfiles checked; 2 errors, 3 warnings.
# echo 'rpmlint-done:'

URL is working


Requires
--------
jboss-annotations-1.2-api (rpmlib, GLIBC filtered):
    jpackage-utils

jboss-annotations-1.2-api-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jboss-annotations-1.2-api:
    jboss-annotations-1.2-api
    mvn(org.jboss.spec.javax.annotation:jboss-annotations-api_1.2_spec)
    osgi(org.jboss.spec.javax.annotation.jboss-annotations-api_1.2_spec)

jboss-annotations-1.2-api-javadoc:
    jboss-annotations-1.2-api-javadoc



Source checksums
----------------
https://github.com/jboss/jboss-annotations-api_spec/archive/jboss-annotations-api_1.2_spec-1.0.0.Alpha1.tar.gz :
  CHECKSUM(SHA256) this package     : 3d25fe2fb38b04efb3ab4fc6127dd2c35a5c7f1c2777bb137711638a0224885f
  CHECKSUM(SHA256) upstream package : 3d25fe2fb38b04efb3ab4fc6127dd2c35a5c7f1c2777bb137711638a0224885f


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 970964

Issues:
- unclear licensing:
  README and pom.xml say that the project is dual-licensed under CDDL and GPLv2 with exceptions. However, every single .java file says that it's licensed only under CDDL, no dual-licensing is mentioned
- full text of CDDL license is missing. The LICENSE file contains only text of GPLv2 license (with incorrect FSF address, see rpmlint output)
- you can safely drop all BR except of maven-local and jboss-parent. rest of those is not needed (maven-install-plugin) or will be pulled in by maven-local.
Comment 2 Marek Goldmann 2013-06-13 05:53:59 EDT
Hi Michal,

The licensing is OK. The reason for it is that originally these files (or at least part of them) were CDDL licensed. This was clarified by legal last year, for all the jboss*api packages. If you have additional concerns, please let me know - I can provide you the details.

The CDDL license doesn't require to have the license file included, or at least it's not included on the list on the wiki: https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

Is my explanation above sufficient?
Comment 3 Michal Srb 2013-06-13 07:56:23 EDT
Hi Marek,

(In reply to Marek Goldmann from comment #2)
> Hi Michal,
> 
> The licensing is OK. The reason for it is that originally these files (or at
> least part of them) were CDDL licensed. This was clarified by legal last
> year, for all the jboss*api packages. If you have additional concerns,
> please let me know - I can provide you the details.
> 

Thanks for the explanation. Licensing should be OK then. 

> The CDDL license doesn't require to have the license file included, or at
> least it's not included on the list on the wiki:
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines#License_Text
> 

Not sure about the wiki, but quoting CDDL 1.1, point 3.1:
... "You must include a copy of this License with every copy of the Source Code form of the Covered Software You distribute or otherwise make available." ...

If I understand it correctly, at least our SRPM should contain copy of the license. So I would add the text, let's play it safe :) Or please correct me if I am missing something. Thanks.
Comment 5 Michal Srb 2013-06-13 08:12:30 EDT
Thanks, everything seems to be in order now.

Approved.
Comment 6 Marek Goldmann 2013-06-13 08:14:57 EDT
Thanks for review!

New Package SCM Request
=======================
Package Name: jboss-annotations-1.2-api
Short Description: Common Annotations 1.2 API
Owners: goldmann
Comment 7 Gwyn Ciesla 2013-06-13 08:17:10 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.